https://archive.trisquel.info/trisquel/
https://archive.trisquel.org/trisquel/
https://ftp.acc.umu.se/mirror/trisquel/packages/
https://ftp.caliu.cat/pub/distribucions/trisquel/packages/
https://ftp.sunet.se/mirror/trisquel/packages/
https://ftpmirror1.infania.net/mirror/trisquel/packages/
https://mirror.csclub.uwaterloo.ca/trisquel/packages/
https://mirror.diyarciftci.xyz/trisquel-packages/
https://mirror.freedif.org/trisquel/packages/
https://mirror.fsf.org/trisquel/
https://mirror.math.princeton.edu/trisquel-packages/
https://mirror.vern.cc/trisquel/
https://mirrors.dotsrc.org/trisquel/
https://mirrors.middlendian.com/trisquel-packages/
https://mirrors.nju.edu.cn/trisquel/
https://mirrors.ocf.berkeley.edu/trisquel/
https://mirrors.ustc.edu.cn/trisquel/
https://trisquel.c3sl.ufpr.br/packages/
